# pydicom.charset.decode

`pydicom.charset.``decode`(data_element, dicom_character_set)

  Apply the DICOM character encoding to a data element

  Deprecated since version 1.4: This function is deprecated, use `decode_element()` instead.

  Parameters:

  - data_element (dataelem.DataElement) – The `DataElement` instance containing an encoded byte string value to decode.
  - dicom_character_set (str or list of str or None) – The value of (0008,0005) Specific Character Set, which may be a single value, a multiple value (code extension), or may also be `''` or `None`, in which case `'ISO_IR 6'` will be used.